# osg::FragmentProgram::Extensions Class Reference

Extensions class which encapsulates the querying of extensions and associated function pointers, and provide convenience wrappers to check for the extensions or use the associated functions. More...

Inheritance diagram for osg::FragmentProgram::Extensions:

[legend]
List of all members.

## Public Member Functions

| Extensions ()
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtenions ()
void | setFragmentProgramSupported (bool flag)
bool | isFragmentProgramSupported () const
void | glBindProgram (GLenum target, GLuint id) const
void | glGenPrograms (GLsizei n, GLuint *programs) const
void | glDeletePrograms (GLsizei n, GLuint *programs) const
void | glProgramString (GLenum target, GLenum format, GLsizei len, const void *string) const
void | glProgramLocalParameter4fv (GLenum target, GLuint index, const GLfloat *params) const

## Protected Member Functions

| ~Extensions ()

## Protected Attributes

bool | _isFragmentProgramSupported
void * | _glBindProgram
void * | _glGenPrograms
void * | _glDeletePrograms
void * | _glProgramString
void * | _glProgramLocalParameter4fv

## Detailed Description

Extensions class which encapsulates the querying of extensions and associated function pointers, and provide convenience wrappers to check for the extensions or use the associated functions.

## Constructor & Destructor Documentation

FragmentProgram::Extensions::Extensions | ( |  | ) |

FragmentProgram::Extensions::Extensions | ( | const Extensions & | rhs | ) |

osg::FragmentProgram::Extensions::~Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void FragmentProgram::Extensions::glBindProgram | ( | GLenum | target,
|  | GLuint | id
| ) | const

void FragmentProgram::Extensions::glDeletePrograms | ( | GLsizei | n,
|  | GLuint * | programs
| ) | const

void FragmentProgram::Extensions::glGenPrograms | ( | GLsizei | n,
|  | GLuint * | programs
| ) | const

void FragmentProgram::Extensions::glProgramLocalParameter4fv | ( | GLenum | target,
|  | GLuint | index,
|  | const GLfloat * | params
| ) | const

void FragmentProgram::Extensions::glProgramString | ( | GLenum | target,
|  | GLenum | format,
|  | GLsizei | len,
|  | const void * | string
| ) | const

bool osg::FragmentProgram::Extensions::isFragmentProgramSupported | ( |  | ) | const`[inline]`

void FragmentProgram::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

void osg::FragmentProgram::Extensions::setFragmentProgramSupported | ( | bool | flag | ) | `[inline]`

void FragmentProgram::Extensions::setupGLExtenions | ( |  | ) |

## Member Data Documentation

void* osg::FragmentProgram::Extensions::_glBindProgram `[protected]`

void* osg::FragmentProgram::Extensions::_glDeletePrograms `[protected]`

void* osg::FragmentProgram::Extensions::_glGenPrograms `[protected]`

void* osg::FragmentProgram::Extensions::_glProgramLocalParameter4fv `[protected]`

void* osg::FragmentProgram::Extensions::_glProgramString `[protected]`

bool osg::FragmentProgram::Extensions::_isFragmentProgramSupported `[protected]`

The documentation for this class was generated from the following files:

- FragmentProgram
- FragmentProgram.cpp